package edu.fu_tdg.lodib.mapping.sparql.factory.jena;

import edu.fu_tdg.lodib.mapping.InputDataTranslationMapping;
import edu.fu_tdg.lodib.mapping.sparql.SPARQLMapping;
import edu.fu_tdg.lodib.utils.Utils;

public class RenameClassMappingJena extends SPARQLMapping {

	public RenameClassMappingJena(InputDataTranslationMapping input) {
		super(input);
		// New variable
		String varX = "?x";
		
		// Create source and target triples
		String sourceTriple = Utils.buildRDFTypeTriplePattern(varX, input.getSourceClass());
		String targetTriple = Utils.buildRDFTypeTriplePattern(varX, input.getTargetClass());
		
		// Build SPARQL Construct
		query = Utils.buildSPARQLConstruct(sourceTriple, targetTriple);
	}

}
