package edu.fu_tdg.lodib.mapping.sparql.factory.jena;

import edu.fu_tdg.lodib.mapping.InputDataTranslationMapping;
import edu.fu_tdg.lodib.mapping.sparql.SPARQLMapping;
import edu.fu_tdg.lodib.utils.Utils;

public class ReversePropertyMappingJena extends SPARQLMapping {

	public ReversePropertyMappingJena(InputDataTranslationMapping input) {
		super(input);
		// New variables
		String varX = "?x", varY = "?y";
		
		// Create source and target triples
		String sourceTriple = Utils.buildPropertyTriplePattern(varX, input.getSourceProperty(), varY);
		String targetTriple = Utils.buildPropertyTriplePattern(varY, input.getTargetProperty(), varX);
		
		// Build SPARQL Construct
		query = Utils.buildSPARQLConstruct(sourceTriple, targetTriple);
	}

}
