package edu.fu_tdg.lodib.mapping.sparql.factory.jena.function;

import com.hp.hpl.jena.datatypes.xsd.XSDDatatype;
import com.hp.hpl.jena.graph.Node;
import com.hp.hpl.jena.sparql.expr.ExprEvalException;
import com.hp.hpl.jena.sparql.expr.NodeValue;
import com.hp.hpl.jena.sparql.function.FunctionBase1;
import com.hp.hpl.jena.sparql.util.FmtUtils;

public class URIToString extends FunctionBase1 {
	public static final String URI = "java:edu.fu_tdg.lodib.mapping.sparql.factory.jena.function.URIToString";
	public NodeValue exec(NodeValue v) {
        Node n = v.asNode() ;
        if (!n.isURI())
            throw new ExprEvalException("Not a URI: "+FmtUtils.stringForNode(n)) ;
        return NodeValue.makeNode(n.getURI(), XSDDatatype.XSDstring) ;
    }
}