package edu.fu_tdg.lodib.mapping.sparql.factory.jena.function;

import com.hp.hpl.jena.sparql.expr.NodeValue;
import com.hp.hpl.jena.sparql.function.FunctionBase1;

public class USDollarsToEuros extends FunctionBase1 {
	public static final String URI = "java:edu.fu_tdg.lodib.mapping.sparql.factory.jena.function.USDollarsToEuros";
	public NodeValue exec(NodeValue v) {
        return NodeValue.makeDouble(transform(v.getDouble())) ;
    }
	
	private double transform(double us) {
		return us * 0.767754319;
	}
}