package edu.fu_tdg.lodib.mapping;

import java.util.List;
import java.util.Map;

public class InputDataTranslationMapping {
	private String sourceClass, 
					targetClass, 
					sourceProperty,
					sourceProperty1, sourceProperty2,
					targetProperty, 
					targetProperty1, targetProperty2,
					sourceType,
					targetType,
					langTag,
					value,
					function;
	private List<String> nSourceProperties;
	private Map<String, String> namespaces;
	
	public InputDataTranslationMapping(Map<String, String> namespaces) {
		super();
		this.namespaces = namespaces;
	}
	
	public String getSourceClass() {
		return sourceClass;
	}
	public void setSourceClass(String sourceClass) {
		this.sourceClass = sourceClass;
	}
	public String getTargetClass() {
		return targetClass;
	}
	public void setTargetClass(String targetClass) {
		this.targetClass = targetClass;
	}
	public Map<String, String> getNamespaces() {
		return namespaces;
	}
	public String getSourceProperty() {
		return sourceProperty;
	}
	public void setSourceProperty(String sourceProperty) {
		this.sourceProperty = sourceProperty;
	}
	public String getTargetProperty() {
		return targetProperty;
	}
	public void setTargetProperty(String targetProperty) {
		this.targetProperty = targetProperty;
	}
	public String getTargetProperty1() {
		return targetProperty1;
	}
	public void setTargetProperty1(String targetProperty1) {
		this.targetProperty1 = targetProperty1;
	}
	public String getTargetProperty2() {
		return targetProperty2;
	}
	public void setTargetProperty2(String targetProperty2) {
		this.targetProperty2 = targetProperty2;
	}

	public String getSourceProperty1() {
		return sourceProperty1;
	}

	public void setSourceProperty1(String sourceProperty1) {
		this.sourceProperty1 = sourceProperty1;
	}

	public String getSourceProperty2() {
		return sourceProperty2;
	}

	public void setSourceProperty2(String sourceProperty2) {
		this.sourceProperty2 = sourceProperty2;
	}

	public String getFunction() {
		return function;
	}

	public void setFunction(String function) {
		this.function = function;
	}

	public String getSourceType() {
		return sourceType;
	}

	public void setSourceType(String sourceType) {
		this.sourceType = sourceType;
	}

	public String getTargetType() {
		return targetType;
	}

	public void setTargetType(String targetType) {
		this.targetType = targetType;
	}

	public String getLangTag() {
		return langTag;
	}

	public void setLangTag(String langTag) {
		this.langTag = langTag;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public List<String> getNSourceProperties() {
		return nSourceProperties;
	}

	public void setNSourceProperties(List<String> nSourceProperties) {
		this.nSourceProperties = nSourceProperties;
	}
}
