package edu.fu_tdg.lodib.mapping.sparql.factory.jena;

import edu.fu_tdg.lodib.mapping.InputDataTranslationMapping;
import edu.fu_tdg.lodib.mapping.sparql.SPARQLMapping;
import edu.fu_tdg.lodib.utils.Utils;

public class ResourcifyMappingJena extends SPARQLMapping {

	public ResourcifyMappingJena(InputDataTranslationMapping input) {
		super(input);
		// TODO 0: Implement this with a function
		// New variables
		String varX = "?x", varY = "?y", anom = "_:a";
		
		// Create source and target triples
		String sourceTriple = Utils.buildPropertyTriplePattern(varX, input.getSourceProperty(), varY);
		String targetTriple1 = Utils.buildPropertyTriplePattern(varX, input.getTargetProperty1(), anom);
		String targetTriple2 = Utils.buildPropertyTriplePattern(anom, input.getTargetProperty2(), varY);
		
		// Build SPARQL Construct
		query = Utils.buildSPARQLConstruct(sourceTriple, targetTriple1 + Utils.SPACE + targetTriple2);
	}

}
