package edu.fu_tdg.lodib

import mapping.DataTranslator
import mapping.sparql.factory.TechnologyType
import rdf_generator.RDFGenerator
import java.io.File

/**
 * Created by IntelliJ IDEA.
 * User: andreas
 * Date: 1/17/12
 * Time: 2:48 PM
 * To change this template use File | Settings | File Templates.
 */

object DataMapper {
  def main(args: Array[String]) {
    if(args.length < 3) {
      println("Parameters: <mapper config> <input file> <output file>")
      System.exit(1)
    }
    var dt: DataTranslator = new DataTranslator
    dt.performDataTranslation(new File(args(0)), new File(args(1)), new File(args(2)), TechnologyType.JENA)
  }
}